<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of EmailTemplates
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $type
 * @property string $name
 * @property string $subject
 * @property string $message
 * @property string $attachments
 * @property string $fromname
 * @property string $fromemail
 * @property int $disabled
 * @property int $custom
 * @property string $language
 * @property string $copyto
 * @property string $blind_copy_to
 * @property int $plaintext
 * @property string $created_at
 * @property string $updated_at
 */
class EmailTemplates extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblemailtemplates';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
