<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of InvoiceItems
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $invoiceid
 * @property int $userid
 * @property string $type
 * @property int $relid
 * @property string $description
 * @property float $amount
 * @property int $taxed
 * @property string $duedate
 * @property string $paymentmethod
 * @property string $notes
 */
class InvoiceItems extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblinvoiceitems';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
