<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Invoices
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $userid
 * @property string $invoicenum
 * @property string $date
 * @property string $duedate
 * @property string $datepaid
 * @property string $last_capture_attempt
 * @property float $subtotal
 * @property float $credit
 * @property float $tax
 * @property float $tax2
 * @property float $total
 * @property float $taxrate
 * @property float $taxrate2
 * @property string $status
 * @property string $paymentmethod
 * @property string $notes
 */
class Invoices extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblinvoices';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
