<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Pricing
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $type
 * @property int $currency
 * @property int $relid
 * @property float $msetupfee
 * @property float $qsetupfee
 * @property float $ssetupfee
 * @property float $asetupfee
 * @property float $bsetupfee
 * @property float $tsetupfee
 * @property float $monthly
 * @property float $quarterly
 * @property float $semiannually
 * @property float $annually
 * @property float $biennially
 * @property float $triennially
 */
class Pricing extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblpricing';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
