<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of ProductConfigGroups
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $name
 * @property string $description
 */
class ProductConfigGroups extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblproductconfiggroups';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function options()
    {
        return $this->hasMany(ProductConfigOptions::class, 'gid', 'id');
    }

}
