<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of ProductConfigOptionsSub
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $configid
 * @property string $optionname
 * @property int $sortorder
 * @property int $hidden
 */
class ProductConfigOptionsSub extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblproductconfigoptionssub';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
