<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of ServersGroups
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $name
 * @property int $filltype
 */
class ServersGroups extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblservergroups';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
