<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Interfaces;

/**
 * Description of IClient
 *
 * @author Mateusz Pawłowski
 */
interface IClient
{

    public function getServerHostname();

    public function getServerAPIKey();

    public function getAccountID();

    public function getServiceID();

    public function getUserID();

    public function getDomain();

    public function getUsername();

    public function getPassword();

    public function getFirstName();

    public function getLastName();

    public function getFullName();

    public function getCompanyName();

    public function getEmail();

    public function getAddress1();

    public function getAddress2();

    public function getCity();

    public function getFullState();

    public function getState();

    public function getPostCode();

    public function getCountryCode();

    public function getCountry();

    public function getPhoneNumber();

    public function getCountryName();

    public function getProductID();

    public function getLocationID();

    public function getModelID();

    public function getAutoAccept();

    public function getAcccessLevel();

    public function getSuspendAction();

    public function getSuspendActionTemplate();

    public function getUnsuspendAction();

    public function getUnsuspendActionTemplate();

    public function getTerminateAction();

    public function getTerminateActiontemplate();

    public function getAdminis();

    public function getEasyOrderID();

    public function getEasyServerID();

    public function getOsTemplate();

    public function getBandwidth();

    public function getAdditionalIPAddress();

    public function getHddSize();

    public function getSsdSize();

    public function getRamSize();

    public function getCpuCores();

    public function getHddModel();

    public function getSsdModel();

    public function getRamModel();

    public function getCpuModel();

    public function getBaseFeatures();

    public function getCaBaseFeatures();

    public function getCaSelectedGraphs();

    public function getCaServerActions();

    public function getCaSidebarActions();

    public function getCaOsTemplate();

    public function getModules();

    public function getNotificationServerCreate();
}
