<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\DNS;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Serializer;

/**
 * Description of DataContainer
 *
 * @author Mateusz Pawłowski
 */
class AddRecord extends Serializer
{

    /**
     * @var string $ip
     */
    protected $ip;

    /**
     * @var string $rdata
     */
    protected $rdata;

    /**
     * @var integer $ttl
     */
    protected $ttl;

    /**
     * DSet IP Address
     * 
     * $params string $ip
     * @return object $this
     */
    public function setIp($ip)
    {
        $this->ip = $ip;
        return $this;
    }

    /**
     * Set rData
     * 
     * $params string $rdata
     * @return object $this
     */
    public function setRdata($rdata)
    {
        $this->rdata = $rdata;
        return $this;
    }

    /**
     * Set TTL
     * 
     * $params integer $ttl
     * @return object $this
     */
    public function setTtl($ttl)
    {
        $this->ttl = $ttl;
        return $this;
    }

}
