<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Os;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Serializer;

/**
 * Description of DataContainer
 *
 * @author Mateusz Pawłowski
 */
class Configuration extends Serializer
{

    /**
     * @var array
     */
    protected $configuration = [];

    /**
     * Configuration Container array
     * 
     * $params object $configuration
     * @return object $this
     */
    public function setConfiguration($configuration)
    {
        $this->configuration = $configuration;
        return $this;
    }

}
