<?php

namespace MGModule\EasyDCIM\MgLibs\Process;

abstract class AbstractConfiguration
{

    public $debug           = false;
    public $systemName      = false;
    public $name            = false;
    public $description     = false;
    public $clientareaName  = false;
    public $encryptHash     = false;
    public $version         = false;
    public $author          = '<a href="http://www.modulesgarden.com" targer="_blank">ModulesGarden</a>';
    private $_customConfigs = array();

    public function __isset($name)
    {
        return isset($this->_customConfigs[$name]);
    }

    public function __get($name)
    {
        if (isset($this->_customConfigs[$name]))
        {
            return $this->_customConfigs[$name];
        }
    }

    public function __set($name, $value)
    {
        $this->_customConfigs[$name] = $value;
    }

    public function getServerConfigController()
    {
        return 'Configuration';
    }

    public function getServerActionsController()
    {
        return 'Actions';
    }

    public function getServerCAController()
    {
        return 'Home';
    }

}
