<?php

namespace MGModule\EasyDCIM\MgLibs\Process;

use MGModule\EasyDCIM\Server;

/**
 * Description of mainController
 *
 * @author Michal Czech <michael@modulesgarden.com>
 * @SuppressWarnings(PHPMD)
 */
class MainInstance
{

    /**
     *
     * @var abstractMainDriver
     */
    static private $_instanceName;

    public static function setInstanceName($instance)
    {
        self::$_instanceName = $instance;
    }

    public static function __callStatic($name, $arguments)
    {
        return call_user_func([self::$_instanceName, $name], $arguments);
    }

    /**
     * 
     * @return AbstractMainDriver
     */
    static function I()
    {
        if (empty(self::$_instanceName))
        {
            self::$_instanceName = Server::I();
        }
        return call_user_func([self::$_instanceName, 'I']);
    }

}
