<?php
/**
 * Created by PhpStorm.
 * User: Mateusz Pawłowski
 * Date: 2018-10-16
 * Time: 15:53
 */

namespace MGModule\EasyDCIM\Repositories\Console\Traits;


use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;

trait Ipmi
{
    private function checkIsIPMIEnable(EasyDCIM $api){

        $deviceInformation = $api->device->getInformation();
        $ipmiStatus = $deviceInformation->metadata->{'IPMI Enabled'};

        if($ipmiStatus == 1){

            return true;
        }

        return false;
    }
}