<link href="../modules/servers/EasyDCIM/Templates/admin/assets/css/datapicker/bootstrap-datepicker.css" rel="stylesheet">
<link href="../modules/servers/EasyDCIM/Templates/admin/assets/css/font-awesome.css" rel="stylesheet">
<script src="../modules/servers/EasyDCIM/Templates/admin/assets/js/moment.js" type="text/javascript"></script>
<script src="../modules/servers/EasyDCIM/Templates/admin/assets/js/bootstrap-datepicker.min.js" type="text/javascript"></script>
<script src="../modules/servers/EasyDCIM/Templates/admin/assets/js/mgLibs.js" type="text/javascript"></script>
<script src="../modules/servers/EasyDCIM/Templates/admin/assets/js/jquery.equalheights.min.js" type="text/javascript"></script>
<script type="text/javascript">
    $.fn.datepicker.defaults.format = datepickerformat.replace("yy", "yyyy");
    EasyDSParser.create('{$mainJSONURL}');
</script>
<style>
    .easyGraph img {
        width:100%;
        height: 100%;
    }
    .deviceBlock{
        padding-top:20px;
    }

    .row button{
        margin-top: 5px;
    }
</style>

<div id="MGAlerts" class="deviceBlock">
    {if $error}
        <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
            <p><strong>{$error}</strong></p>
        </div>
    {/if}
    {if $success}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
            <p><strong>{$success}</strong></p>
        </div>
    {/if}
    <div style="display:none;" data-prototype="error">
        <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
            <strong></strong>
            <a style="display:none;" class="errorID" href=""></a>
        </div>
    </div>
    <div style="display:none;" data-prototype="success">
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
            <strong></strong>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading">
        <div class="row">
            <div class="col-lg-6 col-sm-12 col-md-6">
                <button type="button" class="btn btn-success" id="MGPowerOn"><i class="fa fa-power-off"></i> {$MGLANG->T('PowerOn')}</button>
                <button type="button" class="btn btn-danger" id="MGPowerOff"><i class="fa fa-power-off"></i> {$MGLANG->T('PowerOff')}</button>
                <button type="button" class="btn btn-warning" id="MGReboot" ><i class="fa fa-sync"></i> {$MGLANG->T('Reboot')}</button>
                <button type="button" class="btn btn-info" id="MGColdReset" ><i class="fa fa-sync"></i> {$MGLANG->T('ColdReset')}</button>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">{$MGLANG->T('GeneralInformation')}</h3>
            </div>
            <div class="panel-body center-block center informationPanel">
                <table class="table table-stripe" width="100%">
                    <tr>
                        <td>{$MGLANG->T('DeviceStatus')}<td>
                        <td id="MGDeviceStatus">
                            {if $deviceStatus == "Running"}
                                <strong style="color:green;">{$deviceStatus}</strong>
                            {else}
                                <strong style="color:red;">{$deviceStatus}</strong>
                            {/if}
                        </td>
                    </tr>
                    <tr>
                        <td>{$MGLANG->T('Model')}<td>
                        <td>{$model}<td>
                    </tr>
                    <tr>
                        <td>{$MGLANG->T('Label')}<td>
                        <td>{$label}</td>
                    </tr>
                    <tr>
                        <td>{$MGLANG->T('SerialNumber')}<td>
                        <td>{$serial}</td>
                    </tr>    
                    <tr>
                        <td>{$MGLANG->T('Status')}<td>
                        <td>{$status}</td>
                    </tr>       
                    <tr>
                        <td>{$MGLANG->T('PurchaseDate')}<td>
                        <td>{$purchaseDate}</td>
                    </tr>
                    <tr>
                        <td>{$MGLANG->T('WarrantyMonths')}<td>
                        <td heigh="20px">{$warrantyMonths}</td>
                    </tr>
                    <tr>
                        <td>{$MGLANG->T('ipAddresses')}<td>
                        <td heigh="20px">
                            {foreach from=$ipAddresses item=ipaddress}
                                {$ipaddress}<br />
                            {/foreach}
                        </td>
                    </tr>

                </table>
            </div>
        </div>

    </div>
    <div class="col-lg-6 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">{$MGLANG->T('Location')}</h3>
            </div>
            <div class="panel-body center-block center informationPanel">
                <table class="table table-stripe" width="100%">
                    <tbody class="table table-stripe">
                        <tr>
                            <td>{$MGLANG->T('Name')}<td>
                            <td>{$locationName}</td>
                        </tr>
                        <tr>
                            <td>{$MGLANG->T('Address')}<td>
                            <td>{$locationAddress}</td>
                        </tr>
                        <tr>
                            <td>{$MGLANG->T('Phone')}<td>
                            <td>{$locationPhone}</td>
                        </tr>
                        <tr>
                            <td>{$MGLANG->T('Description')}<td>
                            <td>{$locationDescription}</td>
                        </tr>    
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12 col-sm-12">                       
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-lg-4">

                    </div>
                    <div class="col-lg-8 text-right">
                        <div class="form-inline">
                            <div class="form-group">
                                <input type="hidden" class="form-control" name="startRangeDate" id="MGStartRangeDate" value="{$startMaxDate}">
                                <input type="text" class="form-control" name="startDate" id="MGStartDate" value="{$startDisplayDate}">
                            </div>
                            <div class="form-group">
                                -
                            </div>
                            <div class="form-group">
                                <input type="hidden" class="form-control" name="endRangeDate" id="MGEndRangeDate" value="{$endMaxDate}">
                                <input type="text" class="form-control" name="endDate" id="MGEndDate" value="{$endDisplayDate}">
                            </div>
                            <button type="button" class="btn btn-primary" id="MGStartFilter">Filter</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">{$MGLANG->T('bandwidth')}</h3>
            </div>
            <div class="panel-body">
                <table id="MGBandwidthInfo" class="table table-striped">
                    <thead>
                    <th>{$MGLANG->T('interval')}</th>
                    <th>{$MGLANG->T('bandwidthIn')}</th>
                    <th>{$MGLANG->T('bandwidthOut')}</th>
                    <th>{$MGLANG->T('bandwidthTotal')}</th>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">{$MGLANG->T('Graphs')}</h3>
            </div>
            <div class="panel-body center-block easyGraph" id="MGGraphs">
                <!-- Graph Image -->
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        /*
         * Graph And Bandwidth Section
         */
        function addLoaderToTable(tableContainer) {
            var cols = $(tableContainer).find('thead th').length
            if (cols == 0) {
                cols = $(tableContainer).find('thead td').length
            }
            if (cols > 0) {
                $(tableContainer + ' tbody').html('<tr><td align="center" colspan="' + cols + '"><i class="fa fa-spinner fa-spin"></i></td></tr>');
            }
        }
        function addLoader() {
            addLoaderToTable('#MGBandwidthInfo');
            $('#MGGraphs').html('<center><i class="fa fa-spinner fa-spin"></i></center>');
        }
        function getGraph(start, end) {
            var params = {
                startDate: start,
                endDate: end
            }
            addLoader();
            EasyDSParser.request('getGraph', params, function (data) {
                if (data.bandwidth) {
                    $('#MGBandwidthInfo tbody').html(data.bandwidth);
                }
                if (data.graphs) {
                    $('#MGGraphs').empty();
                    $.each(data.graphs, function () {
                        $('#MGGraphs').append('<img src="' + this + '" />')
                    })
                }

            });
        }

        $('#MGStartFilter').on('click', function () {
            getGraph($('#MGStartDate').val(), $('#MGEndDate').val());
        })
        /*
         * Datetime picker
         */
        $('#MGStartDate').datepicker({
            format: 'yyyy-mm-dd',
            startDate: $('#MGStartRangeDate').val(),
            endDate: $('#MGEndRangeDate').val()
        });

        $('#MGEndDate').datepicker({
            format: 'yyyy-mm-dd',
            startDate: $('#MGStartRangeDate').val(),
            endDate: $('#MGEndRangeDate').val()
        });

        /*
         * Get Graphs when first open. 
         */
        getGraph();

        /*
         * End Graph Section
         */

        /*
         * Panel Section
         */

        /*
         * Resize General Inforamtion and Location panel
         */
        $('.informationPanel').equalHeights();

        /*
         * Server Actions
         */

        function deviceStatusLoader() {
            $('#MGDeviceStatus').html('<i class="fa fa-spinner fa-spin"></i>');
        }
        function changeDeviceStatus(status) {
            if (status === true) {
                $('#MGDeviceStatus').html('<strong style="color:green;">Running</strong>');
            } else {
                $('#MGDeviceStatus').html('<strong style="color:red;">Halted</strong>');
            }
        }
        $('#MGPowerOn').on('click', function () {
            deviceStatusLoader();
            EasyDSParser.request('powerOn', {}, function (data) {
                if (data.success) {
                    changeDeviceStatus(true);
                }
            });
        })
        $('#MGColdReset').on('click', function () {
            deviceStatusLoader();
            EasyDSParser.request('coldReset', {}, function (data) {
                if (data.success) {
                    changeDeviceStatus(true);
                }
            });
        })

        $('#MGReboot').on('click', function () {
            deviceStatusLoader();
            EasyDSParser.request('reboot', {}, function (data) {
                if (data.success) {
                    changeDeviceStatus(true);
                }
            });
        })
        $('#MGPowerOff').on('click', function () {
            deviceStatusLoader();
            EasyDSParser.request('powerOff', {}, function (data) {
                if (data.success) {
                    changeDeviceStatus(false);
                }
            });
        })



    });


</script>

