$(document).ready(function () {
    function getGraph(start, end) {
        if ($('#MgTrafficGraph').length > 0) {
            var params = {
                startDate: start,
                endDate: end
            }

            EasyDSParser.request('getGraph', params, function (data) {
                $('#MgTrafficGraph').empty();
                if (data.graphIMG) {
                    $('#MgTrafficGraph').html('<img src="' + data.graphIMG + '" />');
                }
            });
        }
    }
    function getBandwidth(start, end) {
        var params = {
            startDate: start,
            endDate: end
        }
        EasyDSParser.request('getBandwidth', params, function (data) {
            $('#MGTraficBandwidth tbody').empty();
            if (data.bandwidth) {
                $('#MGTraficBandwidth tbody').html(data.bandwidth);
            }
        });
    }
    $('#MGStartFilter').on('click', function () {
        getGraph($('#MGStartDate').val(), $('#MGEndDate').val());
    })
    /*
     * Datetime picker
     */
    $('#MGStartDate').datepicker({
        format: 'yyyy-mm-dd',
        startDate: $('#MGStartRangeDate').val(),
        endDate: $('#MGEndRangeDate').val()
    });

    $('#MGEndDate').datepicker({
        format: 'yyyy-mm-dd',
        startDate: $('#MGStartRangeDate').val(),
        endDate: $('#MGEndRangeDate').val()
    });

    /*
     * Get Graphs when first open. 
     */

    getGraph();
});