<?php

namespace MGModule\EasyDCIM\Controllers\Server\Admin;

use Exception;
use MGModule\EasyDCIM\MgLibs\Process\AbstractController;
use MGModule\EasyDCIM\Repositories\Connection\Connection;

/**
 * Description of Test Connection
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class TestConnection extends AbstractController
{

    /**
     * Test Connection
     *
     * @param array $params
     * 
     * @return array
     */
    public function indexHTML($params)
    {
        try
        {
            $repositories = new Connection($params);
            $repositories->check();

            return ['success' => true];
        }
        catch (Exception $ex)
        {
            return ['error' => $ex->getMessage()];
        }
    }

}
