<?php

namespace MGModule\EasyDCIM\Helpers;

/**
 * Description of Logs
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class Logs
{
    /*
     * Helper is prepared, to future task
     * 
     * @params string $action
     * 
     */

    public static function save($action, $request, $response, $productID = null)
    {
        if (in_array('debug', ProductConfiguration::getOne($productID, 'baseFeatures')) || $productID == null)
        {
            $request  = (is_object($request)) ? json_encode($request) : $request;
            $response = (is_object($response)) ? json_encode($response) : $response;
            logModuleCall('EasyDCIM', $action, $request, $response);
        }
    }

}
