<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Admins
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $uuid
 * @property int $roleid
 * @property string $username
 * @property string $password
 * @property string $passwordhash
 * @property string $authmodule
 * @property string $authdata
 * @property string $firstname
 * @property string $lastname
 * @property string $email
 * @property string $signature
 * @property string $notes
 * @property string $template
 * @property string $language
 * @property int $disabled
 * @property int $loginattempts
 * @property string $supportdepts
 * @property string $ticketnotifications
 * @property string $homewidgets
 * @property string $password_reset_key
 * @property string $password_reset_data
 * @property string $password_reset_expiry
 * @property string $hidden_widgets
 * @property string $created_at
 * @property string $updated_at
 */
class Admins extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tbladmins';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
