<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Configuration
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property string $setting
 * @property string $value
 * @property string $created_at
 * @property string $updated_at
 */
class Configuration extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblconfiguration';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
