<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Currencies
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $code
 * @property string $prefix
 * @property string $suffix
 * @property int $format
 * @property float $rate
 * @property int $default
 */
class Currencies extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblcurrencies';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
