<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of MGProductConfiguration
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $product_id
 * @property string $setting
 * @property string $value
 * @property string $created_at
 * @property string $updated_at
 */
class MGProductConfiguration extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'mg_easy_configuration';

}
