<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\API;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Abstracts\AbstractEasyDCIMAPI;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Users\UserDetails;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Users\UserLoginData;

/**
 * Description of User
 *
 * @author Mateusz Pawłowski
 */
class Graph extends AbstractEasyDCIMAPI
{

    /**
     * EasyDCIM User - Create user
     * @documentation https://www.easydcim.com/api/index.html#api-User-Create
     * @return JSON object
     * @throws error
     */
    public function getUserGraph(\MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Devices\Graph $model, $userID)
    {
       return $this->api->post($model->toArray())->execut('graphs/'. $userID .'/user');
    }


}
