<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\API;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Abstracts\AbstractEasyDCIMAPI;

/**
 * Description of Locations
 *
 * @author Mateusz Pawłowski
 */
class Locations extends AbstractEasyDCIMAPI
{

    /**
     * EasyDCIM Location - List the locations
     * @documentation https://www.easydcim.com/api/index.html#api-Location-Index
     * @return JSON objects
     * @throws error 
     */
    public function getLists()
    {
        return $this->api->get()->execut('location');
    }

}
