<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Abstracts;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\API\Connection;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Interfaces\IClient;

/**
 * Description of AbstractEasyDCIMAPI
 *
 * @author Mateusz Pawłowski
 */
abstract class AbstractEasyDCIMAPI
{

    /**
     * ClientAdapter object
     * 
     * @var object insteadof MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter
     */
    protected $params;

    /**
     * Connection object
     * 
     * @var object insteadof \MGModule\EasyDCIM\MgLibs\EasyDCIM\API\Connection
     */
    protected $api;

    /**
     * Connection object
     * 
     * @params object $api insteadof \MGModule\EasyDCIM\MgLibs\EasyDCIM\API\Connection, $client insteadof \MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter
     */
    public function __construct(Connection $api, IClient $client)
    {
        $this->api    = $api;
        $this->params = $client;
    }

}
