jQuery(document).ready(function () {
    if ($('select[name="servertype"] option:selected').val() == "EasyDCIM") {
        jQuery('#MGNextIsWHMCSConfig').next().hide();
        var relation = {};
        jQuery('#MGNextIsWHMCSConfig').next().find('input').each(function () {

            var name = jQuery(this).parent().prev().text();
            relation[name] = jQuery(this).attr('name');
            jQuery('*[name="' + name + '"]').change(function () {
                var tname = jQuery(this).attr('name');
                jQuery('input[name="' + relation[tname] + '"]').val(jQuery(this).val());
            }).change();
        });
        $('*[data-is-form] button[name="mg-action"]').click(function () {
            data = jQuery(this).closest('*[data-is-form]').MGGetForms();
            EasyDSParser.request(jQuery(this).val(), data, function (result) {
                if (result.success) {
                    jQuery('#MGAlerts').alerts('success', result.success);
                } else {
                    jQuery('#MGAlerts').alerts('danger', result.error);
                }
            });
        });
        $(document).on('click', '.MGConfigurableOptionsModal', function () {
            var container = $('.MGConfigurableOptionsModal');
            params = {
                action: container.data('action'),
                id: container.data('id'),
                mode: container.data('mode'),
                module: container.data('module'),
                servergroup: container.data('servergroup'),
                locationID: $('#mgconfigLocation').val(),
                json: true
            };
            EasyDSParser.request('getConfigurableOptions', params, function (data) {
                if (data.table) {
                    $('#MGConfigurationModal table tbody').html(data.table);
                    $('#MGConfigurationModal').modal('show');
                }
            });
        })
        $(document).on('click', '.MGDSCreateConfigurableOptions', function () {
            var container = $('.MGConfigurableOptionsModal');
            params = {
                action: container.data('action'),
                id: container.data('id'),
                mode: container.data('mode'),
                module: container.data('module'),
                servergroup: container.data('servergroup'),
                locationID: $('#mgconfigLocation').val(),
                json: true
            };
            EasyDSParser.request('createConfigurableOptions', params, function (data) {
            });
            $('#MGConfigurationModal').modal('hide');
        })
        function getOSTempaltes(locationID) {
            if (locationID == 0) {
                return
            }
            if ($('#mgconfigOsTemplate').length == 0) {
                return;
            }

            var container = $('.MGConfigurableOptionsModal');
            params = {
                action: container.data('action'),
                id: container.data('id'),
                mode: container.data('mode'),
                module: container.data('module'),
                servergroup: container.data('servergroup'),
                json: true,
                locationID: locationID
            };
            EasyDSParser.clear();
            EasyDSParser.request('getOSTemplates', params, function (data) {
                $('#mgconfigCaOsTemplate').empty();
                $('#mgconfigOsTemplate').empty();
                $('#mgconfigOsTemplate').trigger("chosen:updated");
                $('#mgconfigCaOsTemplate').trigger("chosen:updated");
                if (data.options) {

                    $.each(data.options.admin, function (v, k) {
                        $('#mgconfigOsTemplate').append('<option id="' + k.id + '">' + k.text + '</option>');
                        if (k.selected == true) {
                            $('#mgconfigOsTemplate').val(k.id);
                        }
                    })
                    $('#mgconfigOsTemplate').trigger("chosen:updated");

                    $.each(data.options.client, function (v, k) {
                        var selected = (k.selected == true) ? 'selected=""' : '';
                        $('#mgconfigCaOsTemplate').append('<option id="' + k.id + '" ' + selected + '>' + k.text + '</option>');

                    })
                    $('#mgconfigCaOsTemplate').trigger("chosen:updated");
                }
            });
        }
        $(document).on('change', '#mgconfigLocation', function () {
            getOSTempaltes($(this).val());
        });
        var checkExist = setInterval(function () {
            if ($('#mgconfigLocation').length) {
                getOSTempaltes($('#mgconfigLocation').val());
                clearInterval(checkExist);
            }
        }, 100);

        if ($('#MGpercentile').val() !== undefined && $('select[name="servertype"] option:selected').val() == "EasyDCIM") {
            $("#tabLink8").on("click", function (e) {
                var overageCostTr = $("input[name=overagesdiskprice]").closest('tr');
                if ($("#mg-percentile").size()) {
                    return;
                }
                $(overageCostTr).after('<tr id="mg-percentile"><td class="fieldlabel">Percentile</td><td class="fieldarea"> Soft Limit <input type="number" class="form-control input-inline input-100 text-center" value="' + $('#MGpercentile').val() + '" name="mgconfig[percentileSoftLimit]" min="0"> [Mbps] Cost <input type="text" class="form-control input-inline input-100 text-center" value="' + $('#MGpercentileCost').val() + '" name="mgconfig[percentileCost]"> (Price Per Mbps)</td></tr>');
            });
            if (window.location.hash == "#tab=8" || window.location.href.match(/tab\=8/)) {
                $("#tabLink8").click();
            }
        }
    }
});