{if $enableLabel}
    <label for="{$formName}_{$name}" class="col-sm-3 control-label">{$MGLANG->T('label')}</label>
{/if}


<div class="form-check col-sm-{$colWidth}" {if $addIDs}id="{$addIDs}_{$name}"{/if}>
    <input type="text" name="{$nameAttr}" value="0" hidden />
    {if $selectAll}
        <div class="checkbox">
            <label>
                <input type="checkbox" name="{$nameAttr}[selectAll]"/>
                <b>{$MGLANG->absoluteT('serverAA', 'configuration', 'selectAll')}</b>
            </label>
        </div>
        {literal}
            <script type="text/javascript">
                $(document).ready(function () {
                    var selectAllCheckBox = $('input[name="{/literal}{$nameAttr}{literal}[selectAll]"]');
                    if ($('input[name="{/literal}{$nameAttr}{literal}[]"]:checked').length == $('input[name="{/literal}{$nameAttr}{literal}[]"').length) {
                        selectAllCheckBox.prop('checked', true);
                    }
                    selectAllCheckBox.on('change', function () {

                        if (selectAllCheckBox.is(':checked')) {

                            $('input[name="{/literal}{$nameAttr}{literal}[]"]').prop('checked', true);
                        } else {
                            $('input[name="{/literal}{$nameAttr}{literal}[]"]').prop('checked', false);
                        }
                    })
                });
            </script>
        {/literal}
    {/if}
    {foreach from=$options item=option key=opValue}
        <div class="checkbox">
            <label>
                <input type="checkbox" {if is_array($value) && in_array($opValue,$value)}checked="checked"{/if} name="{$nameAttr}[]" value="{$opValue}" {if $disabled}disabled="disabled"{/if} {foreach from=$dataAttr key=dataKey item=dataValue}data-{$dataKey}="{$dataValue}"{/foreach}/>
                {$option}
            </label>
        </div>
    {/foreach}
    {if $enableDescription}
        <span class="help-block">{$MGLANG->T('description')}</span>
    {/if}
    <span class="help-block error-block"{if !$error}style="display:none;"{/if}>{$error}</span>
</div>
{if $descriptionHtml}{$descriptionHtml}{/if}