<div class="mg-module">
    <link rel="stylesheet" type="text/css" href="{$assetsURL}/css/mg-style.css" rel="stylesheet">  
    <script type="text/javascript" src="{$assetsURL}/js/mgLibs.js"></script>
    <link href="{$assetsURL}/css/bootstrap.min.css" rel="stylesheet" />
    <link href="{$assetsURL}/css/font-awesome.min.css" rel="stylesheet" />
    <link href="{$assetsURL}/css/jquery.dataTables.css" rel="stylesheet" />
    <!--- ################ -->
    <link href="{$assetsURL}/css/layout.css" rel="stylesheet" />
    <link href="{$assetsURL}/css/theme.css" rel="stylesheet" />



    <script src="{$assetsURL}/js/validator.js" type="text/javascript"></script>
    <script src="{$assetsURL}/js/zxcvbn.js" type="text/javascript"></script>

    <!-- Data Time Picker -->
    <link href="{$assetsURL}/css/datapicker/bootstrap-datepicker.css" rel="stylesheet" />
    <script src="{$assetsURL}/js/moment.js" type="text/javascript"></script>
    <script src="{$assetsURL}/js/bootstrap-datepicker.min.js" type="text/javascript"></script>

    <script type="text/javascript">
        EasyDSParser.create('{$mainJSONURL}');
    </script>
    {if $fatalError}
        <div class="alert alert-danger">
            <p align="center"><strong>{$fatalError}</strong></p>
        </div>
    {else}
        <div id="mg-wrapper" class="module-container">
            <div class="row">
                {if $isDebugMode}
                    {$isDebugMode}
                {/if}
            </div>
            <div class="row" id="MGAlerts">
                {if $error}
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                        <p><strong>{$error}</strong></p>
                    </div>
                {/if}
                {if $success}
                    <div class="alert alert-success">
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                        <p><strong>{$success}</strong></p>
                    </div>
                {/if}
                <div style="display:none;" data-prototype="error">
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                        <strong></strong>
                        <a style="display:none;" class="errorID" href=""></a>
                    </div>
                </div>
                <div style="display:none;" data-prototype="success">
                    <div class="alert alert-success">
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                        <strong></strong>
                    </div>
                </div>
            </div>
            <div id="mg-container">
                {$content}
            </div>
            <div id="MGLoader" style="display:none;" >
                <div>
                    <img src="{$assetsURL}/img/ajax-loader.gif" alt="Loading ..." />
                </div>
            </div>  
            {literal}
                <script type="text/javascript">
                    $(window).on('resize', function () {
                        var height = $('.module-sidebar').height();
                        $('#mg-wrapper').css('min-height', height);
                    });
                </script>
            {/literal}
        </div>
    {/if}
</div>