<style type="text/css">
    #rDNSTable_filter label input{
        margin-left: 10px !important;
    }
    .rDNSTable label {
        font-weight: bold !important;
    }
</style>
<div class="row">
    <div class="col-lg-12">
        <div class="module-header">
            <i class="icon-header icon-managedns"></i>
            <h1 style="text-align: left">{$MGLANG->T('reverseDNS')}</h1>
            <p style="text-align: left">{$MGLANG->T('description')}</p>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <table class="table table-striped">
            <tbody>
                <tr>
                    <td width="20%" valign="top">{$MGLANG->T('ipAddresses')}</td>
                    <td id="MGIPAddresses" align="left"></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <table class="table table-striped" id="rDNSTable">
            <thead>
                <tr>
                    <th>{$MGLANG->T('ipAddress')}</th>
                    <th>{$MGLANG->T('hostname')}</th>
                    <th>{$MGLANG->T('created')}</th>
                    <th>{$MGLANG->T('actions')}</th>
                </tr>
            </thead>
            <tbody class="text-left">
            </tbody>
        </table>
    </div>
</div>

<div class="row" style="padding:20px;">
    <div class="col-lg-12 text-right">
        <button type="button" class="btn btn-primary " data-toggle="modal" data-target="#MGCreaterDNSDodal" id="MGAddRecord">{$MGLANG->T('addRecord')}</button>
    </div>
</div>

<!-- Add Record Modal -->
<form id="MGrDNSForm" method="post" data-toggle="validator" role="form">
    <div class="modal fade" tabindex="-1" role="dialog" id="MGCreaterDNSDodal" >
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-left">{$MGLANG->T('createRecord')}</h4>
                </div>
                <div class="modal-body">
                    <div class="MGMsgError alert alert-danger hidden"> 
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                        <strong></strong>
                    </div>


                    <div class="form-group row">
                        <label for="mg-input-ip" class="col-sm-2 col-form-label">{$MGLANG->T('IPAddress')}</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="rdns[ip]" id="mg-input-ip" 
                                   placeholder="" data-error="{$MGLANG->T('invalidIpAddress')}" {literal}required pattern="^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$|^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9\-]*[A-Za-z0-9])$|^(?:(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){6})(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:::(?:(?:(?:[0-9a-fA-F]{1,4})):){5})(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})))?::(?:(?:(?:[0-9a-fA-F]{1,4})):){4})(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){0,1}(?:(?:[0-9a-fA-F]{1,4})))?::(?:(?:(?:[0-9a-fA-F]{1,4})):){3})(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){0,2}(?:(?:[0-9a-fA-F]{1,4})))?::(?:(?:(?:[0-9a-fA-F]{1,4})):){2})(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){0,3}(?:(?:[0-9a-fA-F]{1,4})))?::(?:(?:[0-9a-fA-F]{1,4})):)(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){0,4}(?:(?:[0-9a-fA-F]{1,4})))?::)(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9]))\.){3}(?:(?:25[0-5]|(?:[1-9]|1[0-9]|2[0-4])?[0-9])))))))|(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){0,5}(?:(?:[0-9a-fA-F]{1,4})))?::)(?:(?:[0-9a-fA-F]{1,4})))|(?:(?:(?:(?:(?:(?:[0-9a-fA-F]{1,4})):){0,6}(?:(?:[0-9a-fA-F]{1,4})))?::))))$"{/literal}>
                            <div class="help-block with-errors"></div>
                        </div>
                    </div> 
                    <div class="form-group row">
                        <label for="mg-input-rdata" class="col-sm-2 col-form-label">{$MGLANG->T('Hostname')}</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="rdns[rdata]" id="mg-input-rdata" 
                                   placeholder="" data-error="{$MGLANG->T('invalidRData')}" required >
                            <div class="help-block with-errors"></div>
                        </div>
                    </div>
                    <input type="hidden" name="rdns[ttl]" value="3600"/> 
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary"  id="mg-create-rdns-fire">{$MGLANG->absoluteT('create')}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('close')}</button>
                </div>
            </div>
        </div>
    </div>    
</form>
<!-- End Add Record Modal -->

<!-- Delete Record Modal -->
<form id="MGDeleterDNSForm" method="post">
    <div class="modal fade" tabindex="-1" role="dialog" id="MGDeleterDNSModal" >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-left">{$MGLANG->T('deleteRecord')}: <span class="MGRecordName"></span></h4>
                </div>
                <div class="modal-body">
                    <input class="MGRecordID" type="hidden" name="target" value="" requried/>
                    <p class="text-center">{$MGLANG->T('deleteInformation')} <b></b> <span></p>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger">{$MGLANG->absoluteT('delete')}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('close')}</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
</form>
<!-- End Delete Record Modal -->

<!-- Update Record Modal -->
<form id="MGUpdaterDNSForm" method="post" data-toggle="validator" role="form">
    <div class="modal fade" tabindex="-1" role="dialog" id="MGUpdaterDNSModal" >
        <div class="modal-dialog  modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title text-left">{$MGLANG->T('editRecord')}: <span class="MGRecordName"></span></h4>
                </div>
                <div class="modal-body">
                    <input class="MGRecordID" type="hidden" name="target" value=""/>
                    <div class="form-group row">
                        <label for="MGrDataRecord" class="col-sm-2 col-form-label">{$MGLANG->T('hostname')}</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="rdns[rdata]" id="MGrDataRecord" placeholder="" required>
                        </div>
                    </div>
                    <input type="hidden" name="rdns[ttl]" value="3600"/> 
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">{$MGLANG->absoluteT('saveChanges')}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('close')}</button>
                </div>
            </div>
        </div>
    </div>    
</form>

<!-- End Update mRecord Modal -->
<script src='./modules/servers/EasyDCIM/Templates/clientarea/default/pages/dnsManager/js/dnsmanager.js' type='text/javascript'></script>