<link href='./modules/servers/EasyDCIM/Templates/clientarea/default/pages/home/css/home.css' rel="stylesheet" />
{if $buttons}
    <div class="well buttons-content">
        <h4 class="text-center mb-20">{$MGLANG->T('controlPanel')}</h4>
        <div class="row">
            {if $buttons['powerOn']}
                <div class="col-lg-4 col-xs-6">
                    <button class="big-button server-action"  id="MGPowerOn">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-boot"></i>
                            <span>{$MGLANG->T('boot')}</span>
                        </div>
                    </button>
                </div>
            {/if}
            {if $buttons['reboot']}
                <div class="col-lg-4 col-xs-6">
                    <button class="big-button server-action" id="MGReboot">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-reboot"></i>
                            <span>{$MGLANG->T('reboot')}</span>
                        </div>
                    </button>
                </div>
            {/if}
            {if $buttons['powerOff']}
                <div class="col-lg-4 col-xs-6">
                    <button class="big-button server-action"  id="MGPowerOff">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-shutdown"></i>
                            <span>{$MGLANG->T('shutdown')}</span>
                        </div>
                    </button>
                </div>
            {/if}
            {if $buttons['coldReset']}
                <div class="col-lg-4 col-xs-6">
                    <button class="big-button server-action"  id="MGColdReset">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-reboot"></i>
                            <span>{$MGLANG->T('coldReset')}</span>
                        </div>
                    </button>
                </div>
            {/if}
            {if $buttons['loginLink']}
                <div class="col-lg-4 col-xs-6">
                    <a class="big-button" href="{$buttons['loginLink']}" target="_blank">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-control-panel"></i>
                            <span>{$MGLANG->T('loginInToPanel')}</span>
                        </div>
                    </a>
                </div>
            {/if}
            {if $buttons['kvmConsole']}
                <div class="col-lg-4 col-xs-6">
                    <a class="big-button" href="{$buttons['kvmConsole']}">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-ssh"></i>
                            <span>{$MGLANG->T('KVMConsole')}</span>
                        </div>
                    </a>
                </div>
            {/if}

            {if $buttons['noVNCKvmConsole']}
                <div class="col-lg-4 col-xs-6">
                    <button class="big-button server-action"  id="MGNoVNCConsole">
                        <div class="button-wrapper">
                            <i class="icon-btn icon-ssh"></i>
                            <span>{$MGLANG->T('noVNCKvmConsole')}</span>
                        </div>
                    </button>
                </div>
            {/if}
        </div>
    </div>
{/if}
{if $details}
    <div class="module-header">
        <i class="icon-header icon-vps-details"></i>
        <h1 style="text-align: left">{$MGLANG->T('details')}</h1>
        <p style="text-align: left">{$MGLANG->T('description')}</p>
    </div>
    <table class="table table-striped">
        {if isset($details['deviceStatus'])}
            <tr>
                <td>{$MGLANG->T('status')}:</td>
                <td id="MGDeviceStatus">
                    {if $details['deviceStatus'] == "Running"}
                        <strong style="color:green;">{$details['deviceStatus']}</strong>
                    {else}
                        <strong style="color:red;">{$details['deviceStatus']}</strong>
                    {/if}
                </td>
            </tr>
        {/if}
        {if isset($details['os'])}
            <tr>
                <td>{$MGLANG->T('os')}:</td>
                <td>{$details['os']}</td>
            </tr>
        {/if}
        {if isset($details['osInstallation'])}
            <tr>
                <td>{$MGLANG->T('osInstallation')}:</td>
                <td>{if $details['osInstallation'] ==  1}{$MGLANG->T('installationYes')}{else}{$MGLANG->T('installationNo')}{/if}</td>
            </tr>
        {/if}
        {if isset($details['model'])}
            <tr>
                <td>{$MGLANG->T('model')}:</td>
                <td>{$details['model']}</td>
            </tr>
        {/if}
        {if isset($details['label'])}
            <tr>
                <td>{$MGLANG->T('label')}:</td>
                <td>{$details['label']}</td>
            </tr>
        {/if}
        {if isset($details['hostname'])}
            <tr>
                <td>{$MGLANG->T('hostname')}:</td>
                <td><strong id="MGHostnameField">{$details['hostname']}</strong> ({$details['ipaddress']}) 
                    {if isset($details['changeHostname'])}
                        <a type="button" data-toggle="modal" data-target="#MGChangeHostnameModal">
                            <i class="glyphicon glyphicon-pencil" aria-hidden="true" data-toggle="tooltip" title="{$MGLANG->T('changeHostname')}"></i>
                        </a>
                    {/if}
                </td>
            </tr>
        {/if}
        {if isset($details['ipaddresses'])}
            <tr>
                <td>{$MGLANG->T('IPAddresses')}:</td>
                <td>
                    {foreach from=$details['ipaddresses'] item=ipaddress}
                        {$ipaddress}<br />
                    {/foreach}
                </td>
            </tr>
        {/if}

        {if $details['sshUser']}
            <tr>
                <td>{$MGLANG->T('sshUser')}:</td>
                <td>{$details['sshUser']}</td>
            </tr>
        {/if}
        {if $details['sshPassword']}
            <tr>
                <td>{$MGLANG->T('sshPassword')}:</td>
                <td><span id="MGHashedPassword">{$details['sshPasswordHash']}</span><span id="MGPassword" class="hidden">{$details['sshPassword']}</span> &nbsp;
                    <a id="MGShowPassword" data-toggle="tooltip" title="{$MGLANG->T('showHidePassword')}">
                        <i class="glyphicon glyphicon-eye-open" aria-hidden="true" ></i>
                    </a>
                </td>
            </tr>
        {/if}
        {if $details['sshPrivateKey']}
            <tr>
                <td>{$MGLANG->T('sshPrivateKey')}:</td>
                <td>
                    <a type="button" data-toggle="modal" data-target="#MGShowPrivateKey">
                        <i class="glyphicon glyphicon-eye-open" aria-hidden="true" data-toggle="tooltip" title="{$MGLANG->T('showPrivateKey')}"></i>
                    </a>
                </td>
            </tr>
        {/if}
        {if $details['sshPort']}
            <tr>
                <td>{$MGLANG->T('sshPort')}:</td>
                <td>{$details['sshPort']}</td>
            </tr>
        {/if}
        {if isset($details['serial'])}
            <tr>
                <td>{$MGLANG->T('serialNumber')}:</td>
                <td>{$details['serial']}</td>
            </tr>
        {/if}
        {if isset($details['purchaseDate'])}
            <tr>
                <td>{$MGLANG->T('purchasedate')}:</td>
                <td>{$details['purchaseDate']}</td>
            </tr>
        {/if}
        {if isset($details['location'])}
            <tr>
                <td>{$MGLANG->T('location')}:</td>
                <td>{$details['location']}</td>
            </tr>
        {/if}
        {if isset($details['rack'])}
            <tr>
                <td>{$MGLANG->T('rack')}:</td>
                <td>{$details['rack']}</td>
            </tr>
        {/if}
        {if isset($details['warrantyMonths'])}
            <tr>
                <td>{$MGLANG->T('warrantyMonths')}:</td>
                <td>{$details['warrantyMonths']}</td>
            </tr>
        {/if}
    </table>
{/if}
{if $graphs}
    <div class="module-header">
        <i class="icon-header icon-graphs"></i>
        <h1 style="text-align: left">{$MGLANG->T('graphs')}</h1>
        <p style="text-align: left">{$MGLANG->T('graphsDescription')}</p>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="row">
                <div class="col-lg-4 col-sm-12">

                </div>

                <div class="col-lg-8 col-sm-12 text-right">
                    <div class="form-inline">
                        <div class="form-group">
                            <input type="hidden" class="form-control" name="startRangeDate" id="MGStartRangeDate" value="{$graphs['startMaxDate']}">
                            <input type="text" class="form-control" name="startDate" id="MGStartDate" value="{$graphs['startDisplayDate']}">
                        </div>
                        <div class="form-group">
                            -
                        </div>
                        <div class="form-group">
                            <input type="hidden" class="form-control" name="endRangeDate" id="MGEndRangeDate" value="{$graphs['endMaxDate']}">
                            <input type="text" class="form-control" name="endDate" id="MGEndDate" value="{$graphs['endDisplayDate']}">
                        </div>
                        <button type="button" class="btn btn-primary" id="MGStartFilter">Filter</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Graphs content -->
    <div id="MGGraphs" class="easyGraph center text-center"></div>
{/if}

{if $details['changeHostname']}
    <div class="modal fade" tabindex="-1" role="dialog" id="MGChangeHostnameModal" >
        <form id="mg-change-hostname-form"  class="form-horizontal">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title text-left">{$MGLANG->T('changeHostname')}</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label class="control-label col-sm-2">{$MGLANG->T('hostname')}</label>
                            <div class="col-sm-9">
                                <input id="MGHostname" class="form-control" value="{$details['hostname']}" requried type="text">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger"  id="MGChangeHostnameAction">{$MGLANG->absoluteT('change')}</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('close')}</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
{/if}

{if $details['sshPrivateKey']}
    <div class="modal fade" tabindex="-1" role="dialog" id="MGShowPrivateKey" >
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title text-left">{$MGLANG->T('privateKey')}</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-sm-12">
                                <textarea style="width: 100%; height: 300px; resize: vertical;" readonly>{$details['sshPrivateKey']}</textarea>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a type="button" href="{$details['sshPrivateKeyUrl']}" class="btn btn-success" target="_blank" >{$MGLANG->absoluteT('downloadKey')}</a>
                        <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('close')}</button>
                    </div>
                </div>
            </div>
    </div>
{/if}

<script src='./modules/servers/EasyDCIM/Templates/clientarea/default/pages/home/js/home.js' type='text/javascript'></script>