$(document).ready(function () {

    function getStatus(params) {

        EasyDSParser.request('getInstallStatus', {}, function (data) {
            if (data.status == 1) {

                $('#MGInstallStatus').html('<strong style="color: red;">Yes</strong> <i class="fa fa-spinner fa-spin"></i>');
                if (params === undefined) {
                    getInstallStatus();
                }

            } else {
                if (params) {
                    clearInterval(params);
                }
                $('#MGInstallStatus').html('<strong style="color: green;">No</strong>');
            }
        }, false);
    }
    function getInstallStatus() {
        var refresh = setInterval(function () {
            getStatus(refresh);
        }, 60000);
    }


    $('#MGRebuild').on('click', function () {
        var params = {
            osTemplate: $('input[name="MGTemplateID"]:checked').val(),
            mgUsername: $('#MGUsername').val(),
            mgPassword: $('#MGPassword').val(),
            mgHostname: $('#MGHostname').val(),
            mgRootPassword: $('#MGRootPassword').val()
        }
        $('#MGRebuildModal').modal('hide');
        EasyDSParser.clear();
        EasyDSParser.request('rebuild', params, function (data) {

            getInstallStatus();
        });
    })
    getStatus();

});