
<div class="row">
    <div class="col-lg-12">
        <div class="module-header">
            <i class="icon-header icon-reinstall"></i>
            <h1 style="text-align: left">{$MGLANG->T('osInstallation')}</h1>
            <p style="text-align: left">{$MGLANG->T('description')}</p>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <table class="table pm-stats" style="width:100%;">
            <tr>
                <td style="width:25%;">{$MGLANG->T('hostinformation')}</td>
                <td>{$device->Hostname} {if $device->{'IP Address'}}({$device->{'IP Address'}}){/if} </td>
            </tr>
            <tr>
                <td style="width:25%;">{$MGLANG->T('CurrentOS')}</td>
                <td>{$device->OS}</td>
            </tr>
            <tr>
                <td style="width:25%;">{$MGLANG->T('currently_installed')}</td>
                <td id="MGInstallStatus">
                </td>
            </tr>
        </table>
    </div>
</div>
<div class="row">
    <div class="col-lg-12 text-left">
        <legend>{$MGLANG->T('OS Template')}</legend> 
        {$assetsUR}
        <table class="table table-bordered table-striped" id="RebuildForm">
            {foreach from=$os item=item }
                <tr >
                    <td style="width:100px;">
                        <div style="width:80px;">
                            <img src="{$item.logo}" style="display:block;margin:0 auto;max-width:80px; border: 1px solid; border-color: #dddddd;" />
                        </div>
                    </td>
                    <td >
                        <label class="checkbox-inline-td">
                            <input type="radio" id="MGTemplateID" value="{$item.id}" name="MGTemplateID"/>
                            <span>{$item.name} </span>
                        </label>
                    </td>
                </tr>
            {/foreach}
        </table>
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#MGRebuildModal">{$MGLANG->T('rebuild')}</button>
    </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="MGRebuildModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title text-left">{$MGLANG->T('rebuild')}</h4>
            </div>
            <div class="modal-body">
                <div class="alert alert-warning">{$MGLANG->T('rebuildWarning')}</div>
                <legend class="text-left">{$MGLANG->T('userDetails')}</legend> 
                <div class="form-horizontal">
                    <div class="form-group">
                        <label class="control-label col-sm-2">{$MGLANG->T('hostname')}</label>
                        <div class="col-sm-9">
                            <div class="row">
                                <div class="col-sm-6">
                                    <input id="MGHostname" class="form-control" type="text" value="{$hostname}">
                                    <div class="help-block"></div>
                                </div>
                                <div class="col-sm-6">
                                </div>
                            </div>    
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-2">{$MGLANG->T('username')}</label>
                        <div class="col-sm-9">
                            <div class="row">
                                <div class="col-sm-6">
                                    <input id="MGUsername" class="form-control" type="text">
                                    <div class="help-block"></div>
                                </div>
                                <div class="col-sm-6">
                                </div>
                            </div>    
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-sm-2">{$MGLANG->T('password')}</label>
                        <div class="col-sm-9">
                            <div class="row">
                                <div class="col-sm-6">
                                    <input id="MGPassword" class="form-control" type="text">
                                    <div class="help-block"></div>
                                </div>
                                <div class="col-sm-6">
                                </div>
                            </div>    
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-sm-2">{$MGLANG->T('rootPassword')}</label>
                        <div class="col-sm-9">
                            <div class="row">
                                <div class="col-sm-6">
                                    <input id="MGRootPassword" class="form-control" type="text">
                                    <div class="help-block"></div>
                                </div>
                                <div class="col-sm-6">
                                </div>
                            </div>    
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger"  id="MGRebuild">{$MGLANG->T('rebuild')}</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('close')}</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script src='./modules/servers/EasyDCIM/Templates/clientarea/default/pages/osInstallation/js/osinstallation.js' type='text/javascript'></script>